/******************************************************************************/
/******************************************************************************/
/* Trigger: DTULTATU_EQUIMEDI                                  	    	      */
/* Tabela : EQUIMEDI                                                   	      */
/*                                                                            */
/* Criao:                                                                   */
/* 02/02/2005 - Jonathan Abdon Silva                                          */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_EQUIMEDI'  and
            type = 'TR'                   and
            u.uid = o.uid                 and
            u.name = USER)
  DROP TRIGGER DTULTATU_EQUIMEDI
  GO


CREATE TRIGGER DTULTATU_EQUIMEDI
ON EQUIMEDI
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                              (SELECT 'EQUIMEDI', CDFILIAL, 'CDFILIAL=' + CDFILIAL + '; CDEQUIMED='+ CDEQUIMED +';', GETDATE()                                
                               FROM DELETED)       
   END
   ELSE BEGIN
      UPDATE EQUIMEDI
      SET DTULTATUEQME = GETDATE()
      FROM INSERTED
      WHERE
         (EQUIMEDI.CDFILIAL   = INSERTED.CDFILIAL  ) AND
         (EQUIMEDI.CDEQUIMED  = INSERTED.CDEQUIMED ) 
   END;
END;
GO



